Create a Session

Creates a Delivery Room session for a recipient in a Partner portal.

🚧

This Point-of-Sale Framework API is limited to Partners to build custom solutions for Encompass lenders. You must be a registered Point of Sale partner to use this API.

The Create Package Event payload provides details to the Partner system that determine whether to resolve a user or create a user in the Partner portal.

The response includes the redirect URL to the Delivery Room or the URL to embed within the Partner portal. This URL is only good for one use and times out within 30 seconds - it is intended for immediately rendering the Delivery Room UI only.

Usage Notes

  • Only a Partner can create a session.
  • A Partner can create a session only for the associated package recipient.
  • Once a recipient session is successfully established for the user, it will be bound and no other user can act as that recipient—note that both a recipient and user are representative of a person.
  • It is the Partner portal's responsibility to correctly identify the user that matches the recipient or create a new user for the recipient prior to calling the API.
Body Params

Session data that identifies the entity, recipient/user, and provide values needed to execute the Delivery Room UI.

string
required

The customers unique ice mt instance id. This would have been provided in the create package event.

string
required

The namespace, e.g. scope, of the group id. Encompass uses loans.

string
required

The group identifier representing the package containers, e.g. base entity. Unique within the instanceId/groupNamespace combination. Encompass uses the loan guid.

string
required

The package identifier representing the package of documents. Unique within the instanceId/groupNamespace/groupId combination.

string
required

The recipient identifier representing a recipient who is expected to complete tasks in the package. Unique within the instanceId/groupNamespace/groupId/packageId combination. This is the persons session being opened.

string
required

The partner userid opening the session that was identified as this recipient by the partner system. This will be used to validate the user logging in is the one expected and bind to the recipient. Once bound this cannot change.

url
required

The url the delivery ui will redirect to once the user leaves the room.

ui
object

Schema for POSF Partner Integration - UI Customization

Headers
string
required

The Elli-Environment is prod. Note that even Partner test environments are in the ICE Mortgage Technology production environment. ICE Mortgage Technology may authorize co-development and provide another instance. In this case, they will let you know which environment it is in.

string
required

The relevant identifier for the Partners’ subscription established to look up the secret to verify signature. The Point Of Sale Framework uses the unique integration ID established during onboarding. 82 This should be considered an opaque string and not depend on being a GUID. For example: 921b347f-a341-4076-831c-5410d8f09e18

string
required

The unique ID representing the shared signing key being used for request signing. This will be provided during the onboarding process after the key is entered into the system. This should be considered an opaque string and not depend on being a GUID. For example: 911b538f-a311-4082-832c-5410d8f09e39

string
required

The request signature based on the shared signing key and request contents.

string

Generated from available response content types. Allowed: application/json, text/plain

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json